OGRE: Ogre::D3D9Device Class Reference

| OGRE 2.2.4 Object-Oriented Graphics Rendering Engine

Classes | Public Member Functions | Friends | List of all members
Ogre::D3D9Device Class Reference

High level interface of Direct3D9 Device. More...

`#include <OgreD3D9Device.h>`

Inheritance diagram for Ogre::D3D9Device:
[legend]

## Public Member Functions
| D3D9Device (D3D9DeviceManager *deviceManager, UINT adapterNumber, HMONITOR hMonitor, D3DDEVTYPE devType, DWORD behaviorFlags)
| ~D3D9Device ()
bool | acquire ()
void | attachRenderWindow (D3D9RenderWindow *renderWindow)
void | clearDeviceStreams ()
void | copyContentsToMemory (D3D9RenderWindow *window, const Box &src, const PixelBox &dst, RenderTarget::FrameBuffer buffer)
void | destroy ()
void | detachRenderWindow (D3D9RenderWindow *renderWindow)
UINT | getAdapterNumber () const
IDirect3DSurface9 * | getBackBuffer (D3D9RenderWindow *renderWindow)
D3DFORMAT | getBackBufferFormat () const
IDirect3DDevice9 * | getD3D9Device ()
const D3DCAPS9 & | getD3D9DeviceCaps () const
IDirect3DSurface9 * | getDepthBuffer (D3D9RenderWindow *renderWindow)
D3DDEVTYPE | getDeviceType () const
uint | getLastPresentFrame () const
D3D9RenderWindow * | getRenderWindow (uint index)
uint | getRenderWindowCount () const
int | getVBlankMissCount (D3D9RenderWindow *renderWindow)
void | invalidate (D3D9RenderWindow *renderWindow)
bool | isAutoDepthStencil () const
bool | isDeviceLost ()
bool | isFullScreen () const
bool | isMultihead () const
void | operator delete (void *ptr)
void | operator delete (void *ptr, const char *, int, const char *)
void | operator delete (void *ptr, void *)
void | operator delete[] (void *ptr)
void | operator delete[] (void *ptr, const char *, int, const char *)
void * | operator new (size_t sz)
void * | operator new (size_t sz, const char *file, int line, const char *func)
| operator new, with debug line info More...
void * | operator new (size_t sz, void *ptr)
| placement operator new More...
void * | operator new[] (size_t sz)
void * | operator new[] (size_t sz, const char *file, int line, const char *func)
| array operator new, with debug line info More...
void | present (D3D9RenderWindow *renderWindow)
void | release ()
void | setAdapterOrdinalIndex (D3D9RenderWindow *renderWindow, uint adapterOrdinalInGroupIndex)
bool | validate (D3D9RenderWindow *renderWindow)

## Friends
class | D3D9DeviceManager
class | D3D9RenderSystem

## Detailed Description

High level interface of Direct3D9 Device.

Provide useful methods for device handling.

## Constructor & Destructor Documentation

## ◆ D3D9Device()

Ogre::D3D9Device::D3D9Device | ( | D3D9DeviceManager * | deviceManager,
|  | UINT | adapterNumber,
|  | HMONITOR | hMonitor,
|  | D3DDEVTYPE | devType,
|  | DWORD | behaviorFlags
| ) |  |

## ◆ ~D3D9Device()

Ogre::D3D9Device::~D3D9Device | ( |  | ) |

## Member Function Documentation

## ◆ acquire()

bool Ogre::D3D9Device::acquire | ( |  | ) |

## ◆ attachRenderWindow()

void Ogre::D3D9Device::attachRenderWindow | ( | D3D9RenderWindow * | renderWindow | ) |

## ◆ clearDeviceStreams()

void Ogre::D3D9Device::clearDeviceStreams | ( |  | ) |

## ◆ copyContentsToMemory()

void Ogre::D3D9Device::copyContentsToMemory | ( | D3D9RenderWindow * | window,
|  | const Box & | src,
|  | const PixelBox & | dst,
|  | RenderTarget::FrameBuffer | buffer
| ) |  |

## ◆ destroy()

void Ogre::D3D9Device::destroy | ( |  | ) |

## ◆ detachRenderWindow()

void Ogre::D3D9Device::detachRenderWindow | ( | D3D9RenderWindow * | renderWindow | ) |

## ◆ getAdapterNumber()

UINT Ogre::D3D9Device::getAdapterNumber | ( |  | ) | const

## ◆ getBackBuffer()

IDirect3DSurface9* Ogre::D3D9Device::getBackBuffer | ( | D3D9RenderWindow * | renderWindow | ) |

## ◆ getBackBufferFormat()

D3DFORMAT Ogre::D3D9Device::getBackBufferFormat | ( |  | ) | const

## ◆ getD3D9Device()

IDirect3DDevice9* Ogre::D3D9Device::getD3D9Device | ( |  | ) |

## ◆ getD3D9DeviceCaps()

const D3DCAPS9& Ogre::D3D9Device::getD3D9DeviceCaps | ( |  | ) | const

## ◆ getDepthBuffer()

IDirect3DSurface9* Ogre::D3D9Device::getDepthBuffer | ( | D3D9RenderWindow * | renderWindow | ) |

## ◆ getDeviceType()

D3DDEVTYPE Ogre::D3D9Device::getDeviceType | ( |  | ) | const

## ◆ getLastPresentFrame()

uint Ogre::D3D9Device::getLastPresentFrame | ( |  | ) | const
| inline

## ◆ getRenderWindow()

D3D9RenderWindow* Ogre::D3D9Device::getRenderWindow | ( | uint | index | ) |

## ◆ getRenderWindowCount()

uint Ogre::D3D9Device::getRenderWindowCount | ( |  | ) | const

## ◆ getVBlankMissCount()

int Ogre::D3D9Device::getVBlankMissCount | ( | D3D9RenderWindow * | renderWindow | ) |

## ◆ invalidate()

void Ogre::D3D9Device::invalidate | ( | D3D9RenderWindow * | renderWindow | ) |

## ◆ isAutoDepthStencil()

bool Ogre::D3D9Device::isAutoDepthStencil | ( |  | ) | const

## ◆ isDeviceLost()

bool Ogre::D3D9Device::isDeviceLost | ( |  | ) |

## ◆ isFullScreen()

bool Ogre::D3D9Device::isFullScreen | ( |  | ) | const

## ◆ isMultihead()

bool Ogre::D3D9Device::isMultihead | ( |  | ) | const

## ◆ operator delete() [1/3]

template<class Alloc >

void Ogre::AllocatedObject< Alloc >::operator delete | ( | void * | ptr | ) |
| inlineinherited

## ◆ operator delete() [2/3]

template<class Alloc >

void Ogre::AllocatedObject< Alloc >::operator delete | ( | void * | ptr,
|  | const char * | ,
|  | int | ,
|  | const char * |
| ) |  |
| inlineinherited

## ◆ operator delete() [3/3]

template<class Alloc >

void Ogre::AllocatedObject< Alloc >::operator delete | ( | void * | ptr,
|  | void * |
| ) |  |
| inlineinherited

## ◆ operator delete[]() [1/2]

template<class Alloc >

void Ogre::AllocatedObject< Alloc >::operator delete[] | ( | void * | ptr | ) |
| inlineinherited

## ◆ operator delete[]() [2/2]

template<class Alloc >

void Ogre::AllocatedObject< Alloc >::operator delete[] | ( | void * | ptr,
|  | const char * | ,
|  | int | ,
|  | const char * |
| ) |  |
| inlineinherited

## ◆ operator new() [1/3]

template<class Alloc >

void* Ogre::AllocatedObject< Alloc >::operator new | ( | size_t | sz | ) |
| inlineinherited

## ◆ operator new() [2/3]

template<class Alloc >

void* Ogre::AllocatedObject< Alloc >::operator new | ( | size_t | sz,
|  | const char * | file,
|  | int | line,
|  | const char * | func
| ) |  |
| inlineinherited

operator new, with debug line info

## ◆ operator new() [3/3]

template<class Alloc >

void* Ogre::AllocatedObject< Alloc >::operator new | ( | size_t | sz,
|  | void * | ptr
| ) |  |
| inlineinherited

placement operator new

## ◆ operator new[]() [1/2]

template<class Alloc >

void* Ogre::AllocatedObject< Alloc >::operator new[] | ( | size_t | sz | ) |
| inlineinherited

## ◆ operator new[]() [2/2]

template<class Alloc >

void* Ogre::AllocatedObject< Alloc >::operator new[] | ( | size_t | sz,
|  | const char * | file,
|  | int | line,
|  | const char * | func
| ) |  |
| inlineinherited

array operator new, with debug line info

## ◆ present()

void Ogre::D3D9Device::present | ( | D3D9RenderWindow * | renderWindow | ) |

## ◆ release()

void Ogre::D3D9Device::release | ( |  | ) |

## ◆ setAdapterOrdinalIndex()

void Ogre::D3D9Device::setAdapterOrdinalIndex | ( | D3D9RenderWindow * | renderWindow,
|  | uint | adapterOrdinalInGroupIndex
| ) |  |

## ◆ validate()

bool Ogre::D3D9Device::validate | ( | D3D9RenderWindow * | renderWindow | ) |

## Friends And Related Function Documentation

## ◆ D3D9DeviceManager

friend class D3D9DeviceManager
| friend

## ◆ D3D9RenderSystem

friend class D3D9RenderSystem
| friend

The documentation for this class was generated from the following file:

- OgreD3D9Device.h